## mozjs78 78.2.0~linuxmint1%2Bdebbie

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk

# Disable CET, until JIT is ported too, preventing accidentally
# building incompatible binaries.
ifeq ($(DEB_HOST_ARCH),amd64)
export DEB_CFLAGS_MAINT_APPEND=-fcf-protection=none
export DEB_CXXFLAGS_MAINT_APPEND=-fcf-protection=none
endif

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This can be disabled if the bundled icu overtakes the system version,
# or for backporting
WITH_SYSTEM_ICU = no

export DEB_HOST_ARCH
# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh
export PYTHON3 = python3
# Please tell us what you're thinking...
export MOZ_CONFIGURE_TRACE = yes

SRCDIR = $(CURDIR)/js/src
BUILDDIR = $(CURDIR)/debian/build
CARGO_HOME = $(BUILDDIR)/cargo-home
CONFIGURE_FLAGS =
RUSTFLAGS =

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/[-+~].*//')
UPSTREAM_MAJOR = $(shell echo $(UPSTREAM_VERSION) | cut -d. -f1)
UPSTREAM_MINOR = $(shell echo $(UPSTREAM_VERSION) | cut -d. -f2)
UPSTREAM_PATCH = $(shell echo $(UPSTREAM_VERSION) | cut -d. -f3)

export MOZJS_VERSION = $(UPSTREAM_MAJOR)
LIBNAME = libmozjs-$(MOZJS_VERSION)
SONAME = $(LIBNAME).so.0

VERSIONED_LIBNAME = \
	$(LIBNAME).so.$(UPSTREAM_MAJOR).$(UPSTREAM_MINOR).$(UPSTREAM_PATCH)

# ia64 currently has toolchain issues, so relax the link optimization
ifneq (,$(findstring $(DEB_BUILD_ARCH),ia64))
	DEB_CFLAGS_MAINT_APPEND += -G0
	DEB_CXXFLAGS_MAINT_APPEND += -G0
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH),sh4))
        DEB_CFLAGS_MAINT_APPEND += -mlra
        DEB_CXXFLAGS_MAINT_APPEND += -mlra
endif
export DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND

EXCLUDED_TESTS :=

# Upstream assumes everything uses SSE mathematics, but SSE isn't in
# Debian's baseline for i386, so we are stuck with i387 and its weird
# 80-bit floating point registers. We can't even work around this with
# -fexcess-precision=standard, because mozjs is C++.
# https://bugzilla.mozilla.org/show_bug.cgi?id=1621900
ifneq (,$(findstring $(DEB_BUILD_ARCH),i386))
	EXCLUDED_TESTS += basic/bug653153.js
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),mips mipsel mips64el))
CONFIGURE_FLAGS += --disable-ion
endif

ifeq ($(DEB_HOST_ARCH),sh4)
        DEB_LDFLAGS_MAINT_APPEND += -no-pie
endif

ifeq ($(WITH_SYSTEM_ICU),yes)
CONFIGURE_FLAGS += --with-system-icu
else
CONFIGURE_FLAGS += --without-system-icu
endif

# riscv64 doesn't seem to handle LTO properly, causing dwz to fail
# see https://github.com/rust-lang/rust/issues/66118#issuecomment-551446657
# In such case, using thin LTO, fixes the problem
ifneq (,$(findstring $(DEB_BUILD_ARCH),riscv64))
RUSTFLAGS += -Clto=thin
endif

export RUSTFLAGS
export CARGO_HOME

%:
	dh $@ --sourcedirectory=$(SRCDIR) --builddirectory=$(BUILDDIR) --with gnome,pkgkde-symbolshelper

override_dh_clean:
	dh_clean
	find $(CURDIR) -name \*.pyc -exec rm {} \;
	find $(CURDIR)/js/src/ -type l -exec rm {} \;
	rm -f $(CURDIR)/js/src/config/nsinstall
	rm -f $(CURDIR)/js/src/dist/bin/.purgecaches
	rm -f  $(CURDIR)/js/src/js$(MOZJS_VERSION)-config \
		$(CURDIR)/js/src/mozjs-$(MOZJS_VERSION).pc \
		$(CURDIR)/js/src/symverscript
	rm -f $(CURDIR)/js/src/config.log
	# rm -f $(CURDIR)/js/src/configure
	rm -fr $(CURDIR)/intl/icu/source/autom4te.cache
	rm -fr $(CURDIR)/debian/build
	rm -rf third_party/python/psutil/build/ third_party/python/psutil/psutil/_*.so third_party/python/psutil/tmp/

override_dh_autoreconf:
	WITH_SYSTEM_ICU=$(WITH_SYSTEM_ICU) dh_autoreconf $(CURDIR)/debian/autogen.sh

# dh_auto_configure does not properly handle autoconf2.13 generated configure
# scripts, so we call configure ourselves.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570375
# The bundled copy of icu prefers clang, which we need to override to
# use gcc because clang doesn't support our DEB_CFLAGS_MAINT_APPEND
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

override_dh_auto_configure:
# The shipped version is the same as groovy, don't pull a newer version.
# It breaks the tests.
#
# ifneq ($(WITH_SYSTEM_ICU),yes)
# 	VERBOSE=1 $(PYTHON3) intl/icu_sources_data.py "$(CURDIR)"
# endif
	mkdir -p $(BUILDDIR)
	cd $(BUILDDIR); \
	if env \
		CC=$(CC) \
		CXX=$(CXX) \
		RUST_HOST=$(DEB_BUILD_RUST_TYPE) \
		RUST_TARGET=$(DEB_HOST_RUST_TYPE) \
	$(SHELL) $(SRCDIR)/configure \
		--host=$(DEB_BUILD_GNU_TYPE) \
		--target=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
		--with-system-zlib \
		--disable-strip \
		--with-intl-api \
		--enable-readline \
		--disable-jemalloc \
		$(CONFIGURE_FLAGS) \
	; then \
		echo Configure successful; \
	else \
		echo Configure failed with status $$?; \
		tail -v -n +0 config.log; \
		exit 1; \
	fi

override_dh_install:
	# move library and create additional symlinks to standardize the file layout
	cd $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ && \
		mv libjs_static.ajs $(LIBNAME).a && \
		mv $(LIBNAME).so $(VERSIONED_LIBNAME) && \
		ln -s $(VERSIONED_LIBNAME) $(SONAME) && \
		ln -s $(SONAME) $(LIBNAME).so
	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/$(LIBNAME).a
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/$(LIBNAME)-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-$(MOZJS_VERSION).pc

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_auto_test:
	@:
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	SRCDIR=${SRCDIR} BUILDDIR=${BUILDDIR} DEB_HOST_ARCH=${DEB_HOST_ARCH} $(CURDIR)/debian/test.sh $(EXCLUDED_TESTS)
endif
endif

override_dh_dwz:

## mozjs78 78.2.0~linuxmint1+ulyana

=== third_party/python/requests-unixsocket/requirements.txt ===
requests>=1.1
urllib3>=1.8

=== third_party/rust/lucet-wasi/examples/Makefile ===
WASI_CC ?= /opt/wasi-sdk/bin/clang
WASI_LD ?= /opt/wasi-sdk/bin/wasm-ld

default: run-hello

.PHONY: run-hello
run-hello: build/hello.so
	cargo run -p lucet-wasi -- ./build/hello.so

.PHONY: run-hello-all
run-hello-all: run-hello
	cargo run -p lucet-wasi -- ./build/hello.so -- "makefile user"
	GREETING="goodbye" cargo run -p lucet-wasi -- ./build/hello.so -- "makefile user"

build/hello.so: build/hello.wasm ../bindings.json
	cargo run -p lucetc -- $< --bindings ../bindings.json -o $@

build/hello.wasm: hello.c
	mkdir -p build
	$(WASI_CC) $< -o $@

build/hello.wat: build/hello.wasm
	wasm2wat -f $< > $@

.PHONY: run-pseudoquine
run-pseudoquine: build/pseudoquine.so
	cargo run -p lucet-wasi -- ./build/pseudoquine.so --dir "$(CURDIR):/examples"

build/pseudoquine.so: build/pseudoquine.wasm ../bindings.json
	cargo run -p lucetc -- $< --bindings ../bindings.json -o $@

build/pseudoquine.wasm: pseudoquine.c
	mkdir -p build
	$(WASI_CC) $< -o $@

build/pseudoquine.wat: build/pseudoquine.wasm
	wasm2wat -f $< > $@

.PHONY: run-kgt
run-kgt: build/kgt.so
	cargo run -p lucet-wasi -- ./build/kgt.so -- -l bnf -e rrutf8 < build/kgt/examples/expr.bnf

build/kgt.so: build/kgt/build/bin/kgt ../bindings.json
	cargo run -p lucetc -- $< --bindings ../bindings.json -o $@

build/kgt/build/bin/kgt: build/kgt
	NOSTRIP=1 CC=$(WASI_CC) LD=$(WASI_LD) pmake -C build/kgt -r all

build/kgt:
	git clone --recursive https://github.com/katef/kgt.git build/kgt

.PHONY: clean
clean:
	@rm -rf build

## mozjs78 78.2.0~linuxmint1+debbie

=== debian/changelog ===
mozjs78 (78.2.0~linuxmint1+debbie) UNRELEASED; urgency=medium

  * test

 -- Michael Webster <miketwebster@gmail.com>  Wed, 07 Oct 2020 10:25:20 -0400

mozjs78 (78.2.0-1~fakesync1) groovy; urgency=medium

  * Upload from Debian git to Ubuntu while the package is in NEW.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 01 Sep 2020 11:50:23 +0100

mozjs78 (78.2.0-1) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * New upstream version 78.2.0 (Closes: #968341)
    - Rename source to mozjs78
    - debian/gbp.conf: Set debian and upstream branches to match version
    - debian/watch: Update main version regex
  * debian/control:
    - Add back rust and LLVM dependencies:
      mozjs can't be compiled anymore without rust built sources, at least not
      without some huge changes that aren't suitable for a distro-patch, so
      let's add back rustc and cargo as dependencies.
      This also implies some libraries checks that are performed using llvm
      tools, so including it as well.
    - Bump dependency on debhelper 13
    - Bump build dependency to ICU 63.1-4 (tests need debian specific version,
      see bug #968609)
    - Use python3 (and drop python2.7) (Closes: #956334)
    - Update Vcs-* flags to match branches
  * debian/rules:
    - Only use python3
    - Don't set ICU_DATA_FILE as mozilla build system already handles it
    - Use GNOME suggested configure parameters
    - Factorize the code to compute just once the VERSIONED_LIBNAME
    - Export MOZJS_VERSION to be used in install files
    - Use thin LTO in rust (via RUSTFLAGS) for riscv64
    - Ensure rust follows debian compilation settings
    - Set CARGO_HOME to a builddir subdirectory
  * debian/test.sh:
    - Use python3 to run jit tests
    - Run again make check-jstests (it was wrongly removed)
    - Don't redefine HOME. This is now handled by default by debhelper 13
  * debian/*.install: Use debhelper 13 variables sobstitutions to match files
  * debian/README.source: Add doc to explain how we generate the orig file
  * debian/source/lintian-overrides:
    - Ignore missing signature on source tarball
    - Ignore errors on files with very long lines
  * debian/gbp.conf:
    - Remove filters as they are now handled by the repack script
  * debian/gbp-repack-mozjs-source.sh:
    - Only support gbp versions that repack the orig file using the content
      generated by the postunpack hook
    - Add ability to copy more files into the git archive from firefox
      sources, and include the ICU sources to allow builds without system ICU.
    - Add ability to filter files, and remove Files-Excluded from
      debian/copyright (in case gbp imports an orig file without uscan).
    - Delete empty directories in mozjs sources (as git will ignore them)
  * debian/libmozjs-78-0.docs: Include NOTICE file from 3rd party pkcs11
  * debian/patches: Refresh for mozjs78
  * d/p/Bug-1545437-Add-options-to-specify-Rust-target-name.patch:
    - Refreshed to apply in new version, we still need to set RUST_TARGET
  * d/p/Bug-1661094-Always-define-PKGCONF_REQUIRES_PRIVATE.patch:
    - Ensure we generate a pkg-config file with proper syntax
  * d/p/Remove-unused-LLVM-and-Rust-build-dependencies.patch:
    - Dropped, mozjs now strictly depends on rust (and use llvm tools to check)
  * d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch:
    - Sync expected test results as per latest system ICU
  * d/p/Add-riscv64-support.patch:
    - Ensure that we find the proper rust target in all the riscv64 variants
    - Ensure we compile with -mabi=lp64d, importing some cc-rs fixes.
  * d/p/icu_sources_data.py-Decouple-from-Mozilla-build-system.patch,
    d/p/icu_sources_data-Write-command-output-to-our-stderr.patch:
    - Add back icu sources data patches, they were wrongly removed, even if
      they aren't currently used, they might be useful if internal ICU is
      wanted for backport reasons.

  [ Dimitri John Ledkov ]
  * Disable CET protection in mozjs, until after JIT is ported upstream.

  [ Simon McVittie ]
  * d/copyright: Update
  * d/p/Skip-another-timezone-related-test-that-fails-with-system.patch:
    Add a patch to skip another timezone-related test with system ICU

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Aug 2020 21:59:39 +0100

mozjs68 (68.9.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Simon McVittie ]
  * Remove rust and LLVM dependencies for better portability.
    Thanks to John Paul Adrian Glaubitz (Closes: #959144)
  * Refresh patch series with gbp-pq-style metadata
  * Install as libmozjs-68.so.0, not libmozjs-68.so.68.
    The SONAME is libmozjs-68.so.0, so we need to install the
    libmozjs-68.so.0 symbolic link. In native installations, ldconfig
    would create libmozjs-68.so.0 for us, but when using mozjs68 to
    cross-compile other packages, that won't happen. (Closes: #959792)
  * d/rules: Justify why we skip basic/bug653153.js on i386.
    That test seems to be failing on i386 due to extended precision in the
    i387 FPU. Upstream always builds with -mfpmath=sse and does not support
    use of i387, but that isn't currently allowed in Debian due to our i386
    baseline being 20 years old (in particular no SSE and no SSE2).
  * d/rules: Avoid parsing d/changelog
  * d/rules: Make variable names less confusing.
    Avoid the DEB_ prefix in our own variables, to avoid mixing up
    our DEB_UPSTREAM_VERSION with dpkg's DEB_VERSION_UPSTREAM.

  [ Marco Trevisan (Treviño) ]
  * debian/rules: Properly parse DEB_VERSION_UPSTREAM using shell
  * d/p/Bug-1545437-Add-options-to-specify-Rust-target-name.patch:
    - Dropped, included upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 22:16:07 +0200

mozjs68 (68.7.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ William Grant ]
  * Add riscv64 support (Closes: #932893)



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mozjs78
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 12.0),
               gnome-pkg-tools,
               cargo,
               clang,
               autoconf,
               autoconf2.13,
               automake,
               libreadline-dev,
               llvm,
               zlib1g-dev (>= 1:1.2.3),
               pkg-config,
               pkg-kde-tools,
               python3-dev,
               rustc (>= 1.41),
               tzdata,
               zip
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/78/master
Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/78/master
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey

Package: libmozjs-78-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
Description: SpiderMonkey JavaScript library
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs-78-dev
Architecture: any
Section: libdevel
Depends: libmozjs-78-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SpiderMonkey JavaScript library - development headers
 SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files which are
 needed for developing SpiderMonkey embedders.

## mozjs78 78.2.0~linuxmint1+ulyana

=== debian/changelog ===
mozjs78 (78.2.0~linuxmint1+ulyana) UNRELEASED; urgency=medium

  * test

 -- Michael Webster <miketwebster@gmail.com>  Wed, 07 Oct 2020 10:25:20 -0400

## mozjs78 78.3.0

=== debian/changelog ===
mozjs78 (78.3.0-2) unstable; urgency=medium

  * Team upload
  * d/p/Bug-1642332-Avoid-static-initializer-for-Number.NaN-r-jan.patch:
    Add patch from upstream to fix Number.NaN being incorrect on mipsen

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 19:45:45 +0100

mozjs78 (78.3.0-1) unstable; urgency=medium

  * Team upload

  [ Julien Cristau ]
  * Update configure flag --disable-ion to --disable-jit on mipsen to
    fix FTBFS.

  [ Simon McVittie ]
  * d/p/tests-Expect-some-tests-to-fail-on-armel.patch:
    Add more tests that are expected to fail on armel, due to softfloat
    not having precisely the same behaviour as hardfloat
  * New upstream release
    - d/p/Bug-1661094-Always-define-PKGCONF_REQUIRES_PRIVATE.patch:
      Drop patch, applied upstream
  * d/p/Bug-1666646-Set-CodeAlignment-to-16-for-the-none-backend..patch:
    Add patch from upstream to fix static assertion failure on mipsel,
    powerpc, and other 32-bit architectures with JIT disabled or missing

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 12:48:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # This can be disabled if the bundled icu overtakes the system version,
 # or for backporting
-WITH_SYSTEM_ICU = no
+WITH_SYSTEM_ICU = yes
 
 export DEB_HOST_ARCH
 # mozjs' build process does not seem to be compatible with other shells
@@ -68,7 +68,7 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),mips mipsel mips64el))
-CONFIGURE_FLAGS += --disable-ion
+CONFIGURE_FLAGS += --disable-jit
 endif
 
 ifeq ($(DEB_HOST_ARCH),sh4)
@@ -125,12 +125,9 @@
 endif
 
 override_dh_auto_configure:
-# The shipped version is the same as groovy, don't pull a newer version.
-# It breaks the tests.
-#
-# ifneq ($(WITH_SYSTEM_ICU),yes)
-# 	VERBOSE=1 $(PYTHON3) intl/icu_sources_data.py "$(CURDIR)"
-# endif
+ifneq ($(WITH_SYSTEM_ICU),yes)
+	VERBOSE=1 $(PYTHON3) intl/icu_sources_data.py "$(CURDIR)"
+endif
 	mkdir -p $(BUILDDIR)
 	cd $(BUILDDIR); \
 	if env \
@@ -187,5 +184,3 @@
 	SRCDIR=${SRCDIR} BUILDDIR=${BUILDDIR} DEB_HOST_ARCH=${DEB_HOST_ARCH} $(CURDIR)/debian/test.sh $(EXCLUDED_TESTS)
 endif
 endif
-
-override_dh_dwz:

## mozjs78 78.4.0

=== js/rust/CMakeLists.txt ===
project(rust-mozjs)
cmake_minimum_required(VERSION 2.6)

set(DUMMY ${CMAKE_BUILD_TYPE})

set(SOURCES
  src/jsglue.cpp
  )

include_directories($ENV{DEP_MOZJS_OUTDIR}/dist/include)

if(MSVC)
  if(NOT "$ENV{CARGO_FEATURE_DEBUGMOZJS}" STREQUAL "")
    add_definitions(-MDd -Od -DDEBUG -D_DEBUG)
  else()
    add_definitions(-MD)
  endif()
  add_definitions(-FI$ENV{DEP_MOZJS_OUTDIR}/js/src/js-confdefs.h)
  add_definitions(-DWIN32)
  add_definitions(-Zi -GR-)
else()
  if(NOT "$ENV{CARGO_FEATURE_DEBUGMOZJS}" STREQUAL "")
    add_definitions(-g -O0 -DDEBUG -D_DEBUG)
  endif()
  if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_definitions(-Wno-c++0x-extensions -Wno-invalid-offsetof)
  endif()
  add_definitions(-fPIC -fno-rtti)
  add_definitions(-std=gnu++17)
  add_definitions(-include $ENV{DEP_MOZJS_OUTDIR}/js/src/js-confdefs.h)
endif()

add_library(jsglue STATIC ${SOURCES})
install(TARGETS jsglue ARCHIVE DESTINATION lib)

=== third_party/python/glean_parser/Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	python3 -m flake8 glean_parser tests
	bash -c 'if [[ `python3 --version` =~ "Python 3\.[678]\..*" ]]; then \
		python3 -m black --check glean_parser tests setup.py; \
	fi'
	python3 -m yamllint glean_parser tests

test: ## run tests quickly with the default Python
	py.test

coverage: ## check code coverage quickly with the default Python
	coverage run --source glean_parser -m pytest
	coverage report -m
	coverage html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/glean_parser.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ glean_parser
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

install-kotlin-linters: ## install ktlint and detekt for linting Kotlin output
	curl -sSLO https://github.com/shyiko/ktlint/releases/download/0.29.0/ktlint
	chmod a+x ktlint
	curl -sSL --output "detekt-cli-1.1.1-all.jar" https://bintray.com/arturbosch/code-analysis/download_file?file_path=io%2Fgitlab%2Farturbosch%2Fdetekt%2Fdetekt-cli%2F1.1.1%2Fdetekt-cli-1.1.1-all.jar

=== third_party/python/pyasn1-modules/requirements.txt ===
pyasn1>=0.3.4,<0.4.0

=== third_party/python/psutil/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        = python3
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON) -m sphinx
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

DEPS = sphinx


.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psutil.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psutil.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/psutil"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/psutil"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

.PHONY: setup-dev-env
setup-dev-env:  ## Install GIT hooks, pip, test deps (also upgrades them).
	$(PYTHON) -m pip install --user --upgrade --trusted-host files.pythonhosted.org $(DEPS)

=== debian/changelog ===
mozjs78 (78.4.0-2) unstable; urgency=medium

  * Team upload
  * Use rustc -Clto=thin on all architectures.
    Previously dwz only failed to process the debug symbols without this
    flag on riscv64, but it seems the same problem now appears on amd64,
    and perhaps other architectures. (Closes: #978354)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2020 21:13:20 +0000

mozjs78 (78.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that came from upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 11:01:47 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 12.0),
+Build-Depends: debhelper-compat (= 13),
                gnome-pkg-tools,
                cargo,
                clang,
                autoconf,
                autoconf2.13,
                automake,
+               libicu-dev (>= 67.1-4~),
                libreadline-dev,
                llvm,
                zlib1g-dev (>= 1:1.2.3),
@@ -37,6 +38,12 @@
  SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
  JavaScript. It is intended to be embedded in other applications
  that provide host environments for JavaScript.
+ .
+ This library is intended for use in contexts where only trusted
+ JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
+ polkit's rules parsing. It should not be used to run untrusted JavaScript
+ from web pages: use a security-supported implementation such as Firefox,
+ Chrome or WebKitGTK's JavaScriptCore instead.
 
 Package: libmozjs-78-dev
 Architecture: any
@@ -51,3 +58,9 @@
  .
  This package contains the header files which are
  needed for developing SpiderMonkey embedders.
+ .
+ This library is intended for use in contexts where only trusted
+ JavaScript code will be run, such as GNOME's gjs, Cinnamon's cjs, and
+ polkit's rules parsing. It should not be used to run untrusted JavaScript
+ from web pages: use a security-supported implementation such as Firefox,
+ Chrome or WebKitGTK's JavaScriptCore instead.

=== debian/rules ===
--- 
+++ 
@@ -81,12 +81,8 @@
 CONFIGURE_FLAGS += --without-system-icu
 endif
 
-# riscv64 doesn't seem to handle LTO properly, causing dwz to fail
-# see https://github.com/rust-lang/rust/issues/66118#issuecomment-551446657
-# In such case, using thin LTO, fixes the problem
-ifneq (,$(findstring $(DEB_BUILD_ARCH),riscv64))
+# See https://github.com/rust-lang/rust/issues/66118
 RUSTFLAGS += -Clto=thin
-endif
 
 export RUSTFLAGS
 export CARGO_HOME

## mozjs78 78.13.0

=== debian/changelog ===
mozjs78 (78.13.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Bug-1644600 patch: applied in new release
  * debian/upstream/signing-key.asc: Update from 91.0esr
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Aug 2021 08:46:19 -0400

mozjs78 (78.10.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump standards version (no change required)
  * debian/upstream/signing-key.asc: Use minimal key only
  * debian/gbp-repack-mozjs-source.sh: Also filter out *.dll files
  * debian/source/lintian-overrides: Ignore more warnings on shipped js files
  * debian/patches:
    - Refresh
    - Move JSStructuredCloneData destructor to private impl.
      Without this linking against mozjs won't work when structured cloning is
      used.
  * d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch:
    Ignore system tz name check. This may fail when not on GMT.
  * d/p/time-zone-path-test-Update-for-what-our-system-ICU-return.patch:
    Protect from false negative.
    We did update all the tests to use the system zoneinfo path, but we did
    not include the case were an error should be reported.
    Without doing this we may not check the point of the test (two colons)
    because the test was failing due to the wrong zoneinfo path

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 04 May 2021 19:41:03 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                tzdata,
                zip
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/78/master
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/78/master
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
